import request from '@/utils/request'

// 查询150R设备规格参数列表
export function listSpec150r(query) {
  return request({
    url: '/system/spec150r/list',
    method: 'get',
    params: query
  })
}

// 查询150R设备规格参数详细
export function getSpec150r(id) {
  return request({
    url: '/system/spec150r/' + id,
    method: 'get'
  })
}

// 新增150R设备规格参数
export function addSpec150r(data) {
  return request({
    url: '/system/spec150r',
    method: 'post',
    data: data
  })
}

// 修改150R设备规格参数
export function updateSpec150r(data) {
  return request({
    url: '/system/spec150r',
    method: 'put',
    data: data
  })
}

// 删除150R设备规格参数
export function delSpec150r(id) {
  return request({
    url: '/system/spec150r/' + id,
    method: 'delete'
  })
}
